#ifndef _KGR_PATCH_BSC1063671_H
#define _KGR_PATCH_BSC1063671_H

#if IS_ENABLED(CONFIG_MAC80211)

int kgr_patch_bsc1063671_init(void);
void kgr_patch_bsc1063671_cleanup(void);


struct ieee80211_key;
struct ieee80211_sub_if_data;
struct sta_info;

int kgr_ieee80211_key_link(struct ieee80211_key *key,
			   struct ieee80211_sub_if_data *sdata,
			   struct sta_info *sta);

#define KGR_PATCH_BSC1063671_FUNCS		\
	KGR_PATCH_OBJ(ieee80211_key_link, kgr_ieee80211_key_link, "mac80211"),

#else

static int kgr_patch_bsc1063671_init(void) { return 0; }
static void kgr_patch_bsc1063671_cleanup(void) {}

#define KGR_PATCH_BSC1063671_FUNCS

#endif
#endif
